## liblo 0.29

=== cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckLibraryExists)
include(TestBigEndian)
include(GNUInstallDirs)

set(PROJECT liblo)
set(PACKAGE_NAME "${PROJECT}")
project(${PROJECT} LANGUAGES C CXX)

if(NOT CMAKE_VERSION VERSION_LESS 3.1.0)
    set_property(TARGET ${LIBRARY} PROPERTY C_STANDARD 11)
    set_property(TARGET ${LIBRARY} PROPERTY CXX_STANDARD 11)
endif()

set(CMAKE_VERBOSE_MAKEFILE OFF)

set(LIBRARY_SHARED lo_shared)
set(LIBRARY_STATIC lo_static)
set(OSCDUMP oscdump)
set(OSCSEND oscsend)
set(TESTLO testlo)
set(SUBTEST subtest)
set(CPPTEST cpp_test)
set(EXAMPLE_CLIENT example_client)
set(EXAMPLE_SERVER example_server)
set(EXAMPLE_TCP_ECHO_SERVER example_tcp_echo_server)
set(NONBLOCKING_SERVER_EXAMPLE nonblocking_server_example)

set(TOOLS ${OSCDUMP} ${OSCSEND})
set(TESTS ${TESTLO} ${SUBTEST} ${CPPTEST})
set(EXAMPLES ${EXAMPLE_CLIENT} ${EXAMPLE_SERVER}
  ${EXAMPLE_TCP_ECHO_SERVER} ${NONBLOCKING_SERVER_EXAMPLE})
set(PROGRAMS ${TOOLS} ${TESTS} ${EXAMPLES})

set(LIBRARY_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/address.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/blob.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/bundle.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/message.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/method.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/pattern_match.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/send.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/server.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/timetag.c
    ${CMAKE_CURRENT_SOURCE_DIR}/../src/version.c
    )

set(LIBRARY_HEADERS
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo_cpp.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo_errors.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo_lowlevel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo_macros.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo_osc_types.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo_serverthread.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo_throw.h
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo_types.h
    ${CMAKE_CURRENT_BINARY_DIR}/lo/lo_endian.h
    ${CMAKE_CURRENT_BINARY_DIR}/lo/lo.h
    )

set(OSCDUMP_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../src/tools/oscdump.c)
set(OSCSEND_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../src/tools/oscsend.c)
set(TESTLO_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../src/testlo.c)
set(SUBTEST_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../src/subtest.c)
set(CPPTEST_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../src/cpp_test.cpp)
set(EXAMPLE_CLIENT_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../examples/example_client.c)
set(EXAMPLE_SERVER_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../examples/example_server.c)
set(EXAMPLE_TCP_ECHO_SERVER_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../examples/example_tcp_echo_server.c)
set(NONBLOCKING_SERVER_EXAMPLE_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../examples/nonblocking_server_example.c)

check_symbol_exists(poll poll.h HAVE_POLL)
check_symbol_exists(select sys/select.h HAVE_SELECT)
if(NOT HAVE_POLL AND NOT HAVE_SELECT)
  if(CMAKE_SYSTEM_NAME MATCHES "Windows")
    set(HAVE_SELECT 1)
    message(STATUS "Windows configuration: Assuming select exists.")
  else()
    message(FATAL_ERROR "Neither select nor poll was found.")
  endif()
endif()
check_symbol_exists(getifaddrs "sys/types.h;ifaddrs.h" HAVE_GETIFADDRS)
check_symbol_exists(inet_pton "arpa/inet.h" HAVE_INET_PTON)

set(THREADING ON CACHE BOOL "Build with threading support.")
if(THREADING)
  if (CMAKE_SYSTEM_NAME MATCHES "Windows")
    set(CMAKE_THREAD_PREFER_PTHREAD OFF CACHE BOOL "Prefer pthread to other thread libraries.")
  else()
    set(CMAKE_THREAD_PREFER_PTHREAD ON CACHE BOOL "Prefer pthread to other thread libraries.")
  endif()
  include(FindThreads)
  if (NOT Threads_FOUND)
    message(FATAL_ERROR "No supported thread library found.")
  endif()
  if(CMAKE_USE_WIN32_THREADS_INIT AND NOT CMAKE_THREAD_PREFER_PTHREAD)
    set(HAVE_WIN32_THREADS ON)
  elseif(CMAKE_USE_PTHREADS_INIT)
    set(HAVE_LIBPTHREAD ON)
  endif()
  set(LIBRARY_SOURCES ${LIBRARY_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/../src/server_thread.c)
endif()

set(BUILD_LANGUAGE C CACHE STRING "Build language (C or CXX)")
mark_as_advanced(BUILD_LANGUAGE)
set_source_files_properties(
    ${LIBRARY_SOURCES} ${OSCDUMP_SOURCES} ${OSCSEND_SOURCES}
    ${TESTLO_SOURCES} ${EXAMPLE_CLIENT_SOURCES}
    ${EXAMPLE_SERVER_SOURCES} ${EXAMPLE_TCP_ECHO_SERVER_SOURCES}
    ${NONBLOCKING_SERVER_EXAMPLE_SOURCES}
    PROPERTIES LANGUAGE ${BUILD_LANGUAGE})

set_source_files_properties(${CPPTEST_SOURCES}
    PROPERTIES LANGUAGE CXX)

# Library
add_library(${LIBRARY_STATIC} STATIC ${LIBRARY_SOURCES})
add_library(${LIBRARY_SHARED} SHARED ${LIBRARY_SOURCES})

# Tools
add_executable(${OSCDUMP} ${OSCDUMP_SOURCES})
add_executable(${OSCSEND} ${OSCSEND_SOURCES})

# Tests
add_executable(${TESTLO} ${TESTLO_SOURCES})
add_executable(${SUBTEST} ${SUBTEST_SOURCES})
add_executable(${CPPTEST} ${CPPTEST_SOURCES})

# Examples
add_executable(${EXAMPLE_CLIENT} ${EXAMPLE_CLIENT_SOURCES})
add_executable(${EXAMPLE_SERVER} ${EXAMPLE_SERVER_SOURCES})
add_executable(${EXAMPLE_TCP_ECHO_SERVER} ${EXAMPLE_TCP_ECHO_SERVER_SOURCES})
add_executable(${NONBLOCKING_SERVER_EXAMPLE} ${NONBLOCKING_SERVER_EXAMPLE_SOURCES})

if(THREADING)
    set(ENABLE_THREADS 1)

    target_link_libraries(${LIBRARY_SHARED} Threads::Threads)

    set(THREADS_INCLUDE
      "#include \"lo/lo_serverthread.h\"")
else()
    set(THREADS_INCLUDE
      "/* lo/lo_serverthread.h unavailable (THREADING=OFF) */")
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
    target_link_libraries(${LIBRARY_SHARED} "user32" "wsock32" "ws2_32" "iphlpapi")
    if(THREADING AND Threads_FOUND)
        target_link_libraries(${LIBRARY_SHARED} ${CMAKE_THREAD_LIBS_INIT})
    endif()

    set_target_properties(${LIBRARY_SHARED} PROPERTIES
        COMPILE_DEFINITIONS "LIBLO_DLL")
    set_target_properties(${LIBRARY_STATIC} PROPERTIES
        COMPILE_DEFINITIONS "LIBLO_LIB")

    set(DLLNAME "")
    if(THREADING)
        set(DEFTHREADS "")
    else()
        set(DEFTHREADS ";;")
    endif()
else()
    target_link_libraries(${LIBRARY_SHARED} "m")
endif()

set(LO_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..)
target_include_directories(${LIBRARY_SHARED} PUBLIC ${LO_INCLUDE_DIRS})
target_include_directories(${LIBRARY_STATIC} PUBLIC ${LO_INCLUDE_DIRS})

foreach(PROG ${PROGRAMS})
  target_include_directories(${PROG} PUBLIC ${LO_INCLUDE_DIRS})
  target_link_libraries(${PROG} PUBLIC ${LIBRARY_SHARED})
endforeach(PROG)

foreach(PROG ${TOOLS})
  set_property(TARGET ${PROG} PROPERTY RUNTIME_OUTPUT_DIRECTORY "tools")
endforeach(PROG)
foreach(PROG ${TESTS})
  set_property(TARGET ${PROG} PROPERTY RUNTIME_OUTPUT_DIRECTORY "tests")
endforeach(PROG)
foreach(PROG ${EXAMPLES})
  set_property(TARGET ${PROG} PROPERTY RUNTIME_OUTPUT_DIRECTORY "examples")
endforeach(PROG)

set_property(TARGET ${CPPTEST} PROPERTY CXX_STANDARD 11)

# parse version info from configure.ac
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/../configure.ac"
    CONFIGURE_AC_LINE REGEX "AC_INIT\\(\\[liblo\\].*\\)")
string(REGEX MATCHALL "[0-9]+" CONFIGURE_AC_LIST ${CONFIGURE_AC_LINE})
list(GET CONFIGURE_AC_LIST 0 CONFIGURE_AC_MAJOR)
list(GET CONFIGURE_AC_LIST 1 CONFIGURE_AC_MINOR)
set(PACKAGE_VERSION "${CONFIGURE_AC_MAJOR}.${CONFIGURE_AC_MINOR}")

file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/../configure.ac"
    CONFIGURE_AC_LINE REGEX "m4_define\\(\\[lt_current\\], [0-9]+\\)")
string(REGEX MATCHALL "[0-9]+" CONFIGURE_AC_LIST ${CONFIGURE_AC_LINE})
list(GET CONFIGURE_AC_LIST 1 CONFIGURE_AC_CURRENT)
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/../configure.ac"
    CONFIGURE_AC_LINE REGEX "m4_define\\(\\[lt_revision\\], [0-9]+\\)")
string(REGEX MATCHALL "[0-9]+" CONFIGURE_AC_LIST ${CONFIGURE_AC_LINE})
list(GET CONFIGURE_AC_LIST 1 CONFIGURE_AC_REVISION)
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/../configure.ac"
    CONFIGURE_AC_LINE REGEX "m4_define\\(\\[lt_age\\], [0-9]+\\)")
string(REGEX MATCHALL "[0-9]+" CONFIGURE_AC_LIST ${CONFIGURE_AC_LINE})
list(GET CONFIGURE_AC_LIST 1 CONFIGURE_AC_AGE)
set(LO_SO_VERSION
    "{${CONFIGURE_AC_CURRENT}, ${CONFIGURE_AC_REVISION}, ${CONFIGURE_AC_AGE}}")

math(EXPR CURRENT_MINUS_AGE "${CONFIGURE_AC_CURRENT} - ${CONFIGURE_AC_AGE}")
set_target_properties(${LIBRARY_SHARED} PROPERTIES
    VERSION   "${CURRENT_MINUS_AGE}.${CONFIGURE_AC_AGE}.${CONFIGURE_AC_REVISION}"
    SOVERSION "${CURRENT_MINUS_AGE}"
    OUTPUT_NAME "lo"
    )
set_target_properties(${LIBRARY_STATIC} PROPERTIES
    OUTPUT_NAME "lo"
    )

if(NOT DEFINED PRINTF_LL)
    message(STATUS "Check how to print long long int")
    try_compile(PRINTF_LL_AVAILABLE ${CMAKE_CURRENT_BINARY_DIR}
        SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/test-printf-ll.c")
    if(PRINTF_LL_AVAILABLE)
        set(PRINTF_LL "ll" CACHE INTERNAL "")
    else()
        try_compile(PRINTF_LL_AVAILABLE ${CMAKE_CURRENT_BINARY_DIR}
            SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/test-printf-I64.c")
        if(PRINTF_LL_AVAILABLE)
            set(PRINTF_LL "I64" CACHE INTERNAL "")
        else()
            message(FATAL_ERROR "printf doesn't support long long int")
        endif()
    endif()
endif()

if(MSVC)
    set(VERSION "${CONFIGURE_AC_CURRENT}.${CONFIGURE_AC_REVISION}")
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/config-msvc.h.in
        ${CMAKE_CURRENT_BINARY_DIR}/config.h)
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/../src/liblo.def.in
        ${CMAKE_CURRENT_BINARY_DIR}/src/liblo.def)
    set_target_properties(${LIBRARY_STATIC} PROPERTIES
        LINK_FLAGS "/DEF:\"${CMAKE_CURRENT_BINARY_DIR}/src/liblo.def\"")
    set_target_properties(${LIBRARY_SHARED} PROPERTIES
        LINK_FLAGS "/DEF:\"${CMAKE_CURRENT_BINARY_DIR}/src/liblo.def\"")
else()
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
        ${CMAKE_CURRENT_BINARY_DIR}/config.h)
endif()

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/lo/lo.h)
test_big_endian(LO_BIGENDIAN)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/../lo/lo_endian.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/lo/lo_endian.h)
configure_file(
    ${PROJECT}Config.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT}Config.cmake)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix "\${prefix}")
set(libdir "\${exec_prefix}/lib")
set(includedir "\${prefix}/include")
set(LIBPTHREAD ${CMAKE_THREAD_LIBS_INIT})
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/../${PROJECT}.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT}.pc
    @ONLY)
add_definitions(-DHAVE_CONFIG_H)

install(
    TARGETS ${LIBRARY_STATIC} ${LIBRARY_SHARED} ${OSCDUMP} ${OSCSEND}
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin)
install(
    FILES ${LIBRARY_HEADERS}
    DESTINATION include/lo)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT}Config.cmake
    DESTINATION lib/cmake/${PROJECT})
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT}.pc
    DESTINATION lib/pkgconfig)

## liblo 0.26~repack

=== debian/changelog ===
liblo (0.26~repack-7) unstable; urgency=low

  * Update copyright file: Rewrite w/ Subversion draft rev.173 of DEP5.
  * Build-depend on doxygen-latex (not doxygen), and add note on maybe
    switching back again later when possible to verify difference.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 15:14:09 +0100

liblo (0.26~repack-6) experimental; urgency=low

  [ Felipe Sateler ]
  * Use regular spaces instead of hardspace in long descriptions.
    Closes: #575329

  [ Jonas Smedegaard ]
  * Drop local CDBS snippet: included in cdbs package now.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    Add dpkg-source local-options hints.
  * Rewrite copyright file using Bazaar draft rev. 137 of DEP5.
  * Adjust some copyright years.
  * Fix capitalization of project name to LibLO, and mention in long
    descriptions.
  * Bump standards-version to 3.9.1.
  * Update email address of Felipe in maintainer field.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jan 2011 20:52:53 +0100

liblo (0.26~repack-5) unstable; urgency=low

  * Drop Robert Jordens as uploader.
    Closes: bug#573472 - thanks for your contributions, Robert!
  * Indent with single space (not tab or multiple spaces) continuated
    fields in control file, to follow Debian Policy §7.1 documented
    convention. Sort such multiline fields.
  * Fix use plain space in long descriptions.
    Closes: bug#575329, thanks to Rhonda.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Mar 2010 23:52:20 +0100

liblo (0.26~repack-4) unstable; urgency=medium

  * Tighten and relax CDBS includes, to both use very newest features
    and be backports-friendly. Closes: bug#573131, thanks to Adam D.
    Barratt.
  * Shrink local package-relations.mk to only handle binary relations
    (build relations in main since cdbs 0.4.69).
  * Relax debhelper compat level to 6: Backports-friendly, and we need
    none of the newer features anyway.
  * Relax build-dependencies as a result of above changes:
    + Drop devscripts and dh-buildinfo (needed only in
      DEB_MAINTAINER_MODE).
    + Relax debhelper to at least version 6.
    + Relax cdbs to be unversioned.
  * Set urgency=medium to avoid above minor changes (should only affect
    package hints, not sources or compilation process) affecting the
    ongoing library transition too much.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Mar 2010 10:56:27 +0100

liblo (0.26~repack-3) unstable; urgency=low

  * Rerelease targeted unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 05:51:52 +0100

liblo (0.26~repack-2) experimental; urgency=low

  [ Reinhard Tartler ]
  * improved debian/copyright

  [ Jonas Smedegaard ]
  * Update CDBS usage:
    + Use snippets buildinfo.mk and copyright-check.mk.
    + Use local snippets upstream-tarball.mk and package-relations.mk.
    + Use semi-automated build-dependency resolving.
    + Simplify local rules.
  * Build-depend on autotools-dev and a recent devscripts.
  * Fix tighten build-dependencies on cdbs and debhelper.
  * Drop superfluous *.docs files from source.
  * Install all example code, and skip Makefile.am file (unusable at
    runtime).
  * Fix mangle dversion in watch file.
  * Rewrite copyright file using DEP5 rev. 135 format.
  * Add proper licensing header to rules file.
  * Add myself as uploader.
  * Cosmetics: Use tab (not multiple spaces) in multiline entries of
    control file.
  * Use source format "3.0 'quilt'".
  * Add git-buildpackage config, enabling pristine-tar and signed tags.
  * Bump Standards-Version to 3.8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 05:47:56 +0100

liblo (0.26~repack-1) experimental; urgency=low

  * New upstream release.
    - Repacked because of sourceless binary.
  * Enable static library building
  * Bump Standards-Version (no changes needed)
  * Switch from ${Source-Version} to ${binary:Version}
  * Add misc:Depends to liblo-dev
  * Use Homepage tag instead of putting it in the descriptions
  * Update Maintainer and Uploaders fields.
  * Add Vcs-* tags
  * Add copyright years to notice
  * Use a dpkg symbols file.
  * Upgrade compat level
  * Update licensing information
  * SONAME bump: change package names
  * Add liblo-tools package

 -- Felipe Sateler <fsateler@gmail.com>  Mon, 10 Aug 2009 01:10:43 -0400

liblo (0.25-1) unstable; urgency=low

  * New upstream release.
    - This version fixes the slow lo_server_new(). Closes: #461938.
  * liblo0 description no longer has a UTF8 nobreak char. Closes: #406611.
  * Bump Standards-Version (no changes needed)
  * Switch from ${Source-Version} to ${binary:Version}
  * Clarify copyright notice
  * Add misc:Depends to liblo-dev
  * Use Homepage tag instead of putting it in the descriptions
  * Update Maintainer and Uploaders fields.
  * Add Vcs-* tags
  * Use a dpkg symbols file.
  * Upgrade compat level

 -- Felipe Sateler <fsateler@gmail.com>  Sun, 15 Feb 2009 12:33:02 +1100

liblo (0.23-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Renamed liblo0 for the ldbl128 transition (Closes: #430267).

 -- Luk Claes <luk@debian.org>  Sat, 02 Feb 2008 14:27:36 +0000

liblo (0.23-2.1) unstable; urgency=medium

  * NMU: Providing workaround for config.h.in problem
  * urgency medium, because other packages depend on this getting fixed

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 27 Mar 2006 11:07:05 +0200

liblo (0.23-2) unstable; urgency=medium

  * fix VERSION in pkg-config file; closes: Bug#356319, 356687, 356838
    (liblo0-dev: /usr/lib/pkgconfig/liblo.pc is missing the version number)
  * urgency medium so this gets rebuilt quickly.

 -- Robert Jordens <jordens@debian.org>  Tue, 14 Mar 2006 23:13:09 +0100

liblo (0.23-1) unstable; urgency=low

  * new upstream release; closes: Bug#350638
    (liblo: Version 0.23 now available)
  * debian/control: correct homepage URL
  * debian/watch: update

 -- Robert Jordens <jordens@debian.org>  Sat,  4 Mar 2006 16:36:42 +0100



=== debian/control ===
Source: liblo
Priority: optional
Section: libs
Build-Depends: cdbs,
 autotools-dev,
 debhelper (>= 6),
 dh-buildinfo,
 doxygen-latex
Homepage: http://liblo.sourceforge.net/
Standards-Version: 3.9.1
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Felipe Sateler <fsateler@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Vcs-Git: git://git.debian.org/git/pkg-multimedia/liblo.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/liblo.git

Package: liblo-dev
Section: libdevel
Architecture: any
Provides: liblo0-dev
Conflicts: liblo0-dev
Replaces: liblo0-dev
Depends: liblo7 (= ${binary:Version}),
 ${misc:Depends}
Description: Lightweight OSC library -- development files
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see 
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation
 .
 This package contains headers, documentation and static libraries.

Package: liblo7
Section: libs
Architecture: any
Suggests: liblo-dev
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: Lightweight OSC library
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see 
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation

Package: liblo-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: Lightweight OSC library
 LibLO is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation
 .
 This package contains the tools included with the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2004-2006 Robert Jordens <rjo@gmx.de>
# Copyright © 2008-2009 Felipe Sateler <fsateler@gmail.com>
# Copyright © 2010-2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for LibLO
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

# TODO: Check (when temporary doxygen circular dependency is dropped) if
# perhaps only dependency on dexygen itself is satisfactory
CDBS_BUILD_DEPENDS += , doxygen-latex

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/liblo

# FIXME: remove this section before next upstream release (and adjust
# watch file too!), to use default "dfsg" instead
DEB_UPSTREAM_REPACKAGE_TAG = repack

# sourceless binary useful only for windows builds
DEB_UPSTREAM_REPACKAGE_EXCLUDE = build/premake4.exe

#DEB_SHLIBDEPS_INCLUDE = lib/.libs
DEB_CONFIGURE_USER_FLAGS = --enable-static

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/\~repack.*// \
	http://sf.net/liblo/liblo-(.*)\.tar\.gz

## liblo 0.28

=== debian/changelog ===
liblo (0.28-3) unstable; urgency=medium

  * Use dh_auroreconf
  * Pick patches from upstream disabling network tests

 -- Felipe Sateler <fsateler@debian.org>  Mon, 10 Feb 2014 11:48:46 -0300

liblo (0.28-2) unstable; urgency=medium

  * Disable use of SO_REUSEPORT, build-time check does
    not guarantee availability at runtime

 -- Felipe Sateler <fsateler@debian.org>  Tue, 04 Feb 2014 09:50:32 -0300

liblo (0.28-1) unstable; urgency=low

  * New upstream release
    - Add new symbols to symbols file.
  * Bump standards version

 -- Felipe Sateler <fsateler@debian.org>  Fri, 31 Jan 2014 13:22:49 -0300

liblo (0.26~repack-8) unstable; urgency=low

  * Forcibly fail on sparc, doesn't work and never has.
  * Drop build dependency on doxygen-latex

 -- Felipe Sateler <fsateler@debian.org>  Thu, 28 Nov 2013 21:05:36 -0300

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Section: libs
 Build-Depends: cdbs,
  autotools-dev,
- debhelper (>= 6),
+ dh-autoreconf,
+ debhelper,
  dh-buildinfo,
- doxygen-latex
+ doxygen
 Homepage: http://liblo.sourceforge.net/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.5
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Felipe Sateler <fsateler@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/liblo.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/liblo.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/liblo.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/liblo.git
 
 Package: liblo-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2004-2006 Robert Jordens <rjo@gmx.de>
# Copyright © 2008-2013 Felipe Sateler <fsateler@debian.org>
# Copyright © 2010-2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for LibLO
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

pre-build::
	test "$(DEB_HOST_ARCH_CPU)" != "sparc"
	test "$(DEB_HOST_ARCH_CPU)" != "sparc64"

CDBS_BUILD_DEPENDS += , doxygen

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/liblo

DEB_UPSTREAM_TARBALL_MD5 = e2a4391a08b49bb316c03e2034e06fa2

#DEB_SHLIBDEPS_INCLUDE = lib/.libs
DEB_CONFIGURE_USER_FLAGS = --enable-static \
			   --disable-network-tests \
			   --enable-tests \
			   --enable-examples
DEB_MAKE_CHECK_TARGET=test

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/\~repack.*//,uversionmangle=s/rc/~rc/ \
	http://sf.net/liblo/liblo-(.*)\.tar\.gz

## liblo 0.29

=== debian/changelog ===
liblo (0.29-1) unstable; urgency=medium

  * New upstream version 0.29
    - Drop all debian patches.
      They were applied upstream
  * Update symbols file for new functions introduced in this release
  * Create README file before running autoreconf, and remove on clean.
    Otherwise autoreconf fails.

 -- Felipe Sateler <fsateler@debian.org>  Fri, 18 Aug 2017 11:12:05 -0300

liblo (0.28-6) unstable; urgency=medium

  * Run cme dpkg fix
  * Remove from copyright file autotools files no longer shipped
  * Switch from CDBS to short-form dh
    - Drop CDBS debian/control generation.
      Use a static file
    - Remove copyright_hints file.
  * Drop Jonas from uploaders. Thanks for all the work!
    It was used by CDBS which we no longer use
  * Bump debhelper compat to 10.
    Drop autoreconf dependencies, since they are now implied
  * Bump standards-version

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Aug 2017 20:19:13 -0400

liblo (0.28-5) unstable; urgency=medium

  * Release to unstable
  * Refresh patches with gbp pq
  * Make build reproducible. Thanks Maria Valentina Marin <marivalenm@gmail.com>
    for the patch. (Closes: #789040)
  * Bump standards-version

 -- Felipe Sateler <fsateler@debian.org>  Sun, 05 Jul 2015 17:30:31 -0300

liblo (0.28-4) experimental; urgency=medium

  * Bump debhelper compat level to 9
  * Enable multiarch for the shared library. Closes: #774651
    Thanks to Lennart Sorensen for the patch

 -- Felipe Sateler <fsateler@debian.org>  Tue, 06 Jan 2015 21:28:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,24 @@
 Source: liblo
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Felipe Sateler <fsateler@debian.org>
+Section: libs
 Priority: optional
-Section: libs
-Build-Depends: cdbs,
- autotools-dev,
- dh-autoreconf,
- debhelper,
- dh-buildinfo,
- doxygen
+Build-Depends: debhelper (>= 10),
+               dh-buildinfo,
+               doxygen
+Standards-Version: 4.0.1
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/liblo.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/liblo.git
 Homepage: http://liblo.sourceforge.net/
-Standards-Version: 3.9.5
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Felipe Sateler <fsateler@debian.org>,
- Jonas Smedegaard <dr@jones.dk>
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/liblo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/liblo.git
 
 Package: liblo-dev
+Architecture: any
 Section: libdevel
-Architecture: any
+Depends: liblo7 (= ${binary:Version}),
+         ${misc:Depends}
+Conflicts: liblo0-dev
 Provides: liblo0-dev
-Conflicts: liblo0-dev
 Replaces: liblo0-dev
-Depends: liblo7 (= ${binary:Version}),
- ${misc:Depends}
 Description: Lightweight OSC library -- development files
  LibLO is a lightweight, easy to use implementation of the OSC (Open
  Sound Control) protocol (see 
@@ -44,11 +40,13 @@
  This package contains headers, documentation and static libraries.
 
 Package: liblo7
+Architecture: any
+Multi-Arch: same
 Section: libs
-Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: liblo-dev
-Depends: ${misc:Depends},
- ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Lightweight OSC library
  LibLO is a lightweight, easy to use implementation of the OSC (Open
  Sound Control) protocol (see 
@@ -68,10 +66,10 @@
     server and get documentation
 
 Package: liblo-tools
+Architecture: any
 Section: utils
-Architecture: any
 Depends: ${misc:Depends},
- ${shlibs:Depends}
+         ${shlibs:Depends}
 Description: Lightweight OSC library
  LibLO is a lightweight, easy to use implementation of the OSC (Open
  Sound Control) protocol (see

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

.PHONY: build
%:
	dh $@ --with buildinfo --parallel

build: build-arch

override_dh_autoreconf:
	test -e README || ln -v README.md README
	dh_autoreconf

override_dh_autoreconf_clean:
	rm -f README
	dh_autoreconf_clean

override_dh_auto_configure:
	test "$(DEB_HOST_ARCH_CPU)" != "sparc"
	test "$(DEB_HOST_ARCH_CPU)" != "sparc64"
	dh_auto_configure -- \
		--enable-static \
		--disable-network-tests \
		--enable-tests \
		--enable-examples

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=s/\~repack.*//,uversionmangle=s/rc/~rc/ \
	https://github.com/radarsat1/liblo/releases \
        .*/archive/(.*)\.tar\.gz

## liblo 0.30

=== debian/changelog ===
liblo (0.30-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0

  [ Felipe Sateler ]
  * Add glob to mark liblo.la as not installed in all architectures
  * Remove debian/source/local-options for compatibility with dgit.
    It is also unnecessary since git-buildpackge does the right thing anyway
  * Set upstream page to github.
    Also add upstream metadata file
    Fixes lintian: upstream-metadata-file-is-missing
    See https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html for more details.

 -- Felipe Sateler <fsateler@debian.org>  Thu, 25 Jul 2019 21:01:22 -0400

liblo (0.30-2) unstable; urgency=medium

  * Upload to unstable

 -- Felipe Sateler <fsateler@debian.org>  Sun, 07 Jul 2019 22:35:27 -0400

liblo (0.30-1) experimental; urgency=medium

  [ Stephen Sinclair ]
  * New upstream version 0.30.
  * debian/rules:
    - set hardening options for binaries
      (thanks lintian hardening-no-bindnow)
    - remove --parallel, obsolete on current debhelper
  * debian/copyright:
    - remove copyright for install-sh and compile (not present)
    - add copyright for src/tools/oscsendfile.c
    - remove unused expat license.
  * debian/control:
    - update standards to 4.3.0
    - fix duplicate-short-description for liblo7-tools
    - fix binary-control-field-duplicates-source, remove section for liblo7
  * debian/liblo7.symbols:
    - add new symbols from this release
      + lo_server_thread_new_multicast_iface
      + lo_servers_recv_noblock
      + lo_servers_wait

  [ Felipe Sateler ]
  * Mark Rules-Requires-Root: no as we don't need root for building
  * Bump debhelper compat level to 12
  * Fail build if there are files missing to install.
    Instead of building faulty binaries
  * Upload to experimental due to freeze

 -- Felipe Sateler <fsateler@debian.org>  Sat, 01 Jun 2019 09:36:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: liblo
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Felipe Sateler <fsateler@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-buildinfo,
                doxygen
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/liblo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/liblo.git
-Homepage: http://liblo.sourceforge.net/
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/multimedia-team/liblo
+Vcs-Git: https://salsa.debian.org/multimedia-team/liblo.git
+Homepage: https://github.com/radarsat1/liblo
+Rules-Requires-Root: no
 
 Package: liblo-dev
 Architecture: any
@@ -21,7 +22,7 @@
 Replaces: liblo0-dev
 Description: Lightweight OSC library -- development files
  LibLO is a lightweight, easy to use implementation of the OSC (Open
- Sound Control) protocol (see 
+ Sound Control) protocol (see
  <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
  .
  Open Sound Control (OSC) is a protocol for communication among
@@ -42,14 +43,13 @@
 Package: liblo7
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: liblo-dev
 Pre-Depends: ${misc:Pre-Depends}
 Description: Lightweight OSC library
  LibLO is a lightweight, easy to use implementation of the OSC (Open
- Sound Control) protocol (see 
+ Sound Control) protocol (see
  <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
  .
  Open Sound Control (OSC) is a protocol for communication among
@@ -70,7 +70,7 @@
 Section: utils
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: Lightweight OSC library
+Description: Lightweight OSC library (command-line tools)
  LibLO is a lightweight, easy to use implementation of the OSC (Open
  Sound Control) protocol (see
  <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,13 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
 .PHONY: build
 %:
-	dh $@ --with buildinfo --parallel
+	dh $@ --with buildinfo
 
 build: build-arch
 
@@ -27,3 +29,5 @@
 		--enable-examples
 
 
+override_dh_missing:
+	dh_missing --fail-missing

## liblo 0.30-0.0.maemo0

=== debian/changelog ===
liblo (0.30-0.0.maemo0) unstable; urgency=medium

  * merged with mainline and repackaged.
  * http://gitorious.org/liblo

 -- Gary Birkett <liquid@gmail.com>  Thur, 21 Jan 2010 00:00:36 +0000

=== debian/control ===
Source: liblo
Priority: optional
Section: libs
Maintainer: Robert Jordens <jordens@debian.org>
Build-Depends: debhelper (>= 4.1.67), cdbs, dh-buildinfo, doxygen
Standards-Version: 3.6.1

Package: liblo0-dev
Section: libdevel
Architecture: any
Provides: liblo-dev
Conflicts: liblo-dev
Replaces: liblo-dev
Depends: liblo0ldbl (= ${Source-Version})
Description: Lightweight OSC library -- development files
 This is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see 
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation
 .
 Homepage: <http://liblo.sourceforge.net/>
 .
 This package contains headers, documentation and static libraries.

Package: liblo0ldbl
Section: libs
Architecture: any
Suggests: liblo0-dev
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblo0
Replaces: liblo0
Description: Lightweight OSC library
 This is a lightweight, easy to use implementation of the OSC (Open
 Sound Control) protocol (see 
 <http://www.cnmat.berkeley.edu/OpenSoundControl/> for details).
 .
 Open Sound Control (OSC) is a protocol for communication among
 computers, sound synthesizers, and other multimedia devices that is
 optimized for modern networking technology. OSC features:
 .
  * Open-ended, dynamic, URL-style symbolic naming scheme
  * Symbolic and high-resolution numeric argument data
  * Pattern matching language to specify multiple recipients of a
    single message
  * High resolution time tags
  * "Bundles" of messages whose effects must occur simultaneously
  * Query system to dynamically find out the capabilities of an OSC
    server and get documentation
 .
 Homepage: <http://liblo.sourceforge.net/>

=== debian/rules ===
#!/usr/bin/make -f
# rules
#
# Robert Jordens <rjo@gmx.de>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.
#
# $Id$
#

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_DH_MAKESHLIBS_ARGS := -V
#DEB_SHLIBDEPS_INCLUDE := lib/.libs

# after the directories are created but before dh_compress is run.
common-binary-post-install-arch::
	dh_buildinfo

=== debian/watch ===
version=3
http://sf.net/liblo/liblo-(.*)\.tar\.gz
